Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces
elgamal.cpp File Reference
`#include <botan/elgamal.h>`
`#include <botan/internal/pk_ops_impl.h>`
`#include <botan/internal/monty_exp.h>`
`#include <botan/keypair.h>`
`#include <botan/blinding.h>`

Go to the source code of this file.

## Namespaces
| Botan

## Variable Documentation

Blinder m_blinder

Definition at line 146 of file elgamal.cpp.

const DL_Group m_group

Definition at line 87 of file elgamal.cpp.

std::shared_ptr<const Montgomery_Params> m_monty_p

Definition at line 145 of file elgamal.cpp.

std::shared_ptr<const Montgomery_Exponentation_State> m_monty_y_p

Definition at line 88 of file elgamal.cpp.

const BigInt& m_x

Definition at line 143 of file elgamal.cpp.

const size_t m_x_bits

Definition at line 144 of file elgamal.cpp.